#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/06/04
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   文本分类
"""

from pyexpat import model
import gradio as gr
import pip
from transformers import pipeline

model = pipeline("zero-shot-classification", model="facebook/bart-large-mnli")

if __name__=='__main__':
    gr.Interface.from_pipeline(
        pipeline_name="zero-shot-classification",
        pipeline=model,
    ).launch(server_port=8000)
