# 开始开始

gradle 快速搭建机器学习web界面，用户输入表单，模型预测，输出结果。所以只需要定义好这些即可。

Python3.8+，安装：
    
```bash
pip install gradio
```

使用：
    
```python
from gradio import Interface
def predict(input_text):
    # 这里是模型预测的逻辑代码
    # 例如，我们可以使用sklearn的逻辑回归模型进行预测
    from sklearn.linear_model import LogisticRegression
    model = LogisticRegression()  # 加载或训练模型
    return model.predict([input_text])[0]

interface = Interface(fn=predict, inputs='text', outputs='int')
interface.launch()
```

这里有 Interface 类，接受三个参数：


这里 share=True 分享外链，其实是使用frp搭建的内网穿透，使用 gradio 公共服务器进行转发，这里可以使用自己搭建的服务器转发。




