# web

可集成 Flask、Django和FastAPI


## fastapi

首先导入fastapi, gradio，分别新建对象，然后通过 gr.mount_gradio_app 函数，将fastapi挂载到gradio上：

```
from fastapi import FastAPI
import gradio as gr

app = FastAPI()
demo = gr.Interface(
    fn=gradio_predict,
    inputs=gr.Textbox(
        label="Ask a question", placeholder="What is the capital of France?"
    ),
    outputs=[gr.Textbox(label="Answer"), gr.Number(label="Score")],
    allow_flagging="never",
)
fastapp = gr.mount_gradio_app(app, demo, path="/")
```

接着可以分别写 fastapi 和 gradio 各自的功能，比如 fastapi 做权鉴。

## 







